#ifndef __WIN32GFX_H__
#define __WIN32GFX_H__

#ifdef __GNUC__
#include "winstuff.h"
#else
#include <ddraw.h>
#endif

int WIN32GFX_IsPicassoScreen( void );
int WIN32GFX_IsFullScreen( void );
int WIN32GFX_GetWidth( void );
int WIN32GFX_GetHeight( void );
void WIN32GFX_DisplayChangeRequested( void );
void WIN32GFX_ToggleFullScreen( void );
void WIN32GFX_DisablePicasso( void );
void WIN32GFX_EnablePicasso( void );
void WIN32GFX_PaletteChange( void );
void WIN32GFX_ClearPalette( void );
void WIN32GFX_SetPalette( void );
RGBFTYPE WIN32GFX_FigurePixelFormats( RGBFTYPE colortype );
int WIN32GFX_AdjustScreenmode( uae_u32 *pwidth, uae_u32 *pheight, uae_u32 *ppixbits );
extern HWND hStatusWnd;
extern HINSTANCE hDDraw;
extern char *start_path;
extern HRESULT (WINAPI * pDirectDrawCreate) (GUID FAR *, LPDIRECTDRAW FAR *, IUnknown FAR *);

#endif